# GimpUi.prop_size_entry_new

    @accepts(GObject.Object, unicode, bool, unicode, unicode, GimpUi.SizeEntryUpdatePolicy, float)
    @returns(Gtk.Widget)
    def prop_size_entry_new(config, property_name, property_is_pixel, unit_property_name, unit_format, update_policy, resolution):
        # Python wrapper for gimp_prop_size_entry_new()

Creates a GimpUi.SizeEntry to set and display the specified double or int property, and its associated unit property. Note that this function is only suitable for creating a size entry holding a single value. Use GimpUi.prop_coordinates_new to create a size entry holding two values.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of int or double property.

property_is_pixel

  When True, the property value is in pixels, and in the selected unit otherwise.

unit_property_name

  Name of unit property.

unit_format

  A printf-like unit-format string as is used with gimp_unit_menu_new().

update_policy

  How the automatic pixel <-> real-world-unit calculations should be done.

resolution

  The resolution (in dpi) for the field.

Returns